#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

compress = function(input)
{
    if (getOption("floodam.cba.sa")["zip"] != TRUE) return(invisible())

	utils::zip(
        file.path(
            dirname(input[["path_output"]]),
            sprintf("%s.zip", input[["case"]])
        ),
		files = c(input[["path_input"]], input[["path_output"]]),
        extras = "-q"
    )

	if (getOption("floodam.cba.sa")[["skip"]] == TRUE) {
        unlink(input[["path_output"]], recursive = TRUE)
    }

	invisible()
}
