#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

check_column = function(input, x) {
    test = input[[x]]
	x = getOption("floodam.cba.sa")[[sprintf("%s_col", x)]]
	if(is.null(x)) return()
	
	col_missing = x[!(x %in% colnames(test))]
	if(length(col_missing) > 0) {
		msg = sprintf(
            "Pb avec le fichier '%s' dans '%s':",
            x, 
			input[["path_input"]]
        )
		msg = paste(
            msg,
			sprintf(
                "\t- Mauvais format ou colonne(s) %s manquante(s)",
			    paste("'", col_missing, "'", sep = "", collapse = ", ")
            ), 
			sep = "\n")
		write(msg, file = input[["path_log"]], append = TRUE)
		stop(msg, call. = FALSE)
	}
}
