#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

check_data = function(
    input,
    check = getOption("floodam.cba.sa")[["data"]]
) {
	data_missing = check[!(check %in% names(input))]
	if (length(data_missing) > 0) {
		msg = sprintf(
            "Il manque le(s) fichier(s) %s dans '%s'",
			paste(data_missing, collapse = ", "),
            input[["path_input"]]
        )
		write(msg, file = input[["path_log"]], append = TRUE)
		stop(msg, call. = FALSE)
	}
}
