set_impact_base = function(input) {
    hydraulic = input[["flood"]][["hydraulic_nominal"]]
	impact = t(t(input[["impact"]][, rownames(input[["flood"]])]) * hydraulic)

	impact_base = as.vector(t(impact))
	names(impact_base) = paste(
        rep(rownames(impact), each = ncol(impact)),
        colnames(impact),
        sep = "_"
    )
    return(impact_base)
}